Bug 205331 - Dovecot doesn't recognise SSHA digest
Dovecot doesn't recognise SSHA digest
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 22:58 EDT by Matthew Sage
Modified: 2010-10-22 01:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2008-0718
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file to add SSHA functionality to dovecot (2.25 KB, patch)
2006-09-05 22:58 EDT, Matthew Sage
no flags Details | Diff

  None (edit)
Description Matthew Sage 2006-09-05 22:58:43 EDT
Description of problem:
When authenticating against some LDAP directories, the directories send back the
userPassword attribute in a SSHA digest but Dovecot does not deal with this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup dovecot to authenticate against an LDAP directory that uses a 'SSHA'
digest.


Actual Results:  The logs report...

Feb  7 14:30:29 servern dovecot-auth: ldap(acct_name): Unknown password scheme SSHA


Expected Results:  dovecot should recognise SSHA

Additional info:

I propose the attached patch to fix the problem.
Comment 1 Matthew Sage 2006-09-05 22:58:43 EDT
Created attachment 135619 [details]
Patch file to add SSHA functionality to dovecot
Comment 5 Denise Dumas 2008-02-14 16:59:57 EST
Tomas is OK with this for 4.7; waiting on pm-ack. 
Comment 11 errata-xmlrpc 2008-07-24 15:56:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0718.html

Note You need to log in before you can comment on or make changes to this bug.